JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Sspi.PSecPkgInfo.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.PSecPkgInfo
              com.sun.jna.platform.win32.Sspi.PSecPkgInfo.ByReference

All Implemented Interfaces:
  Structure.ByReference

Enclosing class:
  Sspi.PSecPkgInfo

    public static class Sspi.PSecPkgInfo.ByReference

extends Sspi.PSecPkgInfo
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.PSecPkgInfo
`Sspi.PSecPkgInfo.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.Sspi.PSecPkgInfo
`pPkgInfo`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.PSecPkgInfo.ByReference()`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.Sspi.PSecPkgInfo
`getFieldOrder, toArray`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sspi.PSecPkgInfo.ByReference

    public Sspi.PSecPkgInfo.ByReference()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.